summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorClément Lassieur <clement.lassieur@parrot.com>2019-02-21 09:30:51 +0100
committerClément Lassieur <clement.lassieur@parrot.com>2019-02-25 18:25:34 +0100
commit3642882202df2a6e98e7c5aca7dfcd31f1c82290 (patch)
tree9d619525ef4c3e01548b0ca856cbbc5b21f0fcc5
parentc587fdd2012f3080c7c340282157ec19cd89036f (diff)
downloademacs-3642882202df2a6e98e7c5aca7dfcd31f1c82290.tar.gz
bin: db: error out if rclone isn't installed
-rwxr-xr-xbin/db5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/db b/bin/db
index 9589f0c..f083bc8 100755
--- a/bin/db
+++ b/bin/db
@@ -1,5 +1,10 @@
#!/bin/bash
+if [[ ! -x "$(command -v rclone)" ]]; then
+ echo 'Error: rclone is not installed.' >&2
+ exit 1
+fi
+
# to ignore warnings about gpg agent versions not being the same
exec 2<&-